## golang-github-goccy-go-yaml 1.18.0

=== Makefile ===
## Location to install dependencies to
LOCALBIN ?= $(shell pwd)/bin
TESTMOD := testdata/go_test.mod

$(LOCALBIN):
	mkdir -p $(LOCALBIN)

.PHONY: test
test:
	go test -v -race ./...
	go test -v -race ./testdata -modfile=$(TESTMOD)

.PHONY: simple-test
simple-test:
	go test -v ./...
	go test -v ./testdata -modfile=$(TESTMOD)

.PHONY: fuzz
fuzz:
	go test -fuzz=Fuzz -fuzztime 60s

.PHONY: cover
cover:
	go test -coverpkg=.,./ast,./lexer,./parser,./printer,./scanner,./token -coverprofile=cover.out -modfile=$(TESTMOD) ./... ./testdata

.PHONY: cover-html
cover-html: cover
	go tool cover -html=cover.out

.PHONY: ycat/build
ycat/build: $(LOCALBIN)
	cd ./cmd/ycat && go build -o $(LOCALBIN)/ycat .

.PHONY: lint
lint: golangci-lint ## Run golangci-lint
	@$(GOLANGCI_LINT) run

.PHONY: fmt
fmt: golangci-lint ## Ensure consistent code style
	@go mod tidy
	@go fmt ./...
	@$(GOLANGCI_LINT) run --fix

## Tool Binaries
GOLANGCI_LINT ?= $(LOCALBIN)/golangci-lint

## Tool Versions
GOLANGCI_VERSION := 2.1.2

.PHONY: golangci-lint
.PHONY: $(GOLANGCI_LINT)
golangci-lint: $(GOLANGCI_LINT) ## Download golangci-lint locally if necessary.
$(GOLANGCI_LINT): $(LOCALBIN)
	@test -s $(LOCALBIN)/golangci-lint && $(LOCALBIN)/golangci-lint version --short | grep -q $(GOLANGCI_VERSION) || \
	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(LOCALBIN) v$(GOLANGCI_VERSION)

=== docs/playground/Makefile ===
.PHONY: build
build: build/wasm build/page

.PHONY: build/wasm
build/wasm:
	GOOS=js GOARCH=wasm go build -o src/yaml.wasm ./cmd/yaml

.PHONY: build/page
build/page:
	npm run build

.PHONY: deps
deps:
	npm ci

.PHONY: dev
dev:
	npm run dev

## golang-github-goccy-go-yaml 1.9.5

=== debian/changelog ===
golang-github-goccy-go-yaml (1.9.5-2) unstable; urgency=medium

  * Disable tests that affect 32bit environment.
    Add d/patches/disable-tests-that-affect-32bit-environment.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 20 Feb 2022 18:23:01 +0900

golang-github-goccy-go-yaml (1.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Jan 2022 10:07:52 +0900

golang-github-goccy-go-yaml (1.9.4-1) unstable; urgency=medium

  * Initial release (Closes: #1003380)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 09 Jan 2022 14:36:55 +0900

=== debian/control ===
Source: golang-github-goccy-go-yaml
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-fatih-color-dev,
               golang-github-mattn-go-colorable-dev,
               golang-golang-x-xerrors-dev,
               golang-gopkg-yaml.v3-dev,
               golang-yaml.v2-dev,
	       golang-github-go-playground-validator-v10-dev
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/go-yaml
Vcs-Git: https://salsa.debian.org/go-team/packages/go-yaml.git
Homepage: https://github.com/goccy/go-yaml
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/goccy/go-yaml

Package: golang-github-goccy-go-yaml-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-fatih-color-dev,
         golang-github-mattn-go-colorable-dev,
         golang-golang-x-xerrors-dev,
         golang-gopkg-yaml.v3-dev,
         golang-yaml.v2-dev
Description: yet another golang library for YAML support
 YAML library for the Go language.
 This adds some features compared to the golang standard YAML library.
  * Pretty format for error notifications
  * Supports Scanner or Lexer or Parser as public API
  * Supports Anchor and Alias to Marshaler
  * Allow referencing elements declared in another file via anchors
  * Extract value or AST by YAMLPath (like a JSONPath)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/goccy/go-yaml/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-goccy-go-yaml 1.18.0

=== debian/changelog ===
golang-github-goccy-go-yaml (1.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18.0
    - Do not build the benchmarks and the example program
    - Remove unneeded build dependencies
    - Remove patch, is now handled upstream
  * Disable use of pristine-tar
  * Update debian/watch to v5
  * Remove Rules-Requires-Root from d/control
  * Switch Build-Depends from dh-golang to dh-sequence-golang
  * Add Multi-Arch: foreign
  * Update Standards-Version to 4.7.2, no changes needed
  * Update debian/gitlab-ci.yml

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 22 Oct 2025 22:02:30 +0200

=== debian/control ===
Source: golang-github-goccy-go-yaml
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-goccy-go-yaml
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-goccy-go-yaml.git
Homepage: https://github.com/goccy/go-yaml
XS-Go-Import-Path: github.com/goccy/go-yaml

Package: golang-github-goccy-go-yaml-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: yet another golang library for YAML support
 YAML library for the Go language.
 This adds some features compared to the golang standard YAML library.
  * Pretty format for error notifications
  * Supports Scanner or Lexer or Parser as public API
  * Supports Anchor and Alias to Marshaler
  * Allow referencing elements declared in another file via anchors
  * Extract value or AST by YAMLPath (like a JSONPath)

=== debian/rules ===
#!/usr/bin/make -f

# Do not build the benchmarks or the ycat command,
# which is not installed anyway.
export DH_GOLANG_EXCLUDES := benchmarks/* cmd/*

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
Version: 5

Template: Github
Owner: goccy
Project: go-yaml
